Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358616 - [abrt] WARNING: CPU: 0 PID: 21000 at kernel/time/hrtimer.c:765 hrtimers_resume+0x5e/0x60
Summary: [abrt] WARNING: CPU: 0 PID: 21000 at kernel/time/hrtimer.c:765 hrtimers_resum...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4d3120050f75b4f535674dd9c73...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 07:22 UTC by Alex Tucker
Modified: 2016-11-09 15:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-09 09:09:10 UTC


Attachments (Terms of Use)
File: dmesg (deleted)
2016-07-21 07:22 UTC, Alex Tucker
no flags Details

Description Alex Tucker 2016-07-21 07:22:21 UTC
Description of problem:
Resume from suspend

Additional info:
reporter:       libreport-2.7.1
WARNING: CPU: 0 PID: 21000 at kernel/time/hrtimer.c:765 hrtimers_resume+0x5e/0x60
hrtimers_resume() called with IRQs enabled!
Modules linked in: xt_nat veth xfs rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache fuse xt_CHECKSUM tun ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_addrtype br_netfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip6t_rpfilter ip_set nfnetlink ebtable_nat ebtable_broute bridge ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev media vfat fat dm_thin_pool dm_persistent_data dm_bio_prison libcrc32c snd_hda_codec_hdmi arc4 coretemp iTCO_wdt iwldvm iTCO_vendor_support kvm_intel ppdev dell_wmi
 sparse_keymap dell_rbtn mac80211 dell_laptop kvm dell_smbios dcdbas snd_hda_codec_idt dell_smm_hwmon snd_hda_codec_generic iwlwifi snd_hda_intel irqbypass snd_hda_codec snd_hda_core joydev cfg80211 i7core_edac edac_core i2c_i801 snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer rfkill snd acpi_cpufreq lpc_ich soundcore shpchp parport_pc parport dell_smo8800 acpi_als kfifo_buf tpm_tis industrialio tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc dm_crypt 8021q garp stp llc mrp nouveau mxm_wmi i2c_algo_bit drm_kms_helper crc32c_intel ttm serio_raw e1000e drm sdhci_pci firewire_ohci sdhci firewire_core mmc_core yenta_socket crc_itu_t ptp pps_core wmi fjes video
CPU: 0 PID: 21000 Comm: systemd-sleep Not tainted 4.6.3-300.fc24.x86_64 #1
Hardware name: Dell Inc. Precision M4500/0RRH3K, BIOS A11 05/09/2012
 0000000000000286 000000003cc32758 ffff880139c97bd8 ffffffff813dbcff
 ffff880139c97c28 0000000000000000 ffff880139c97c18 ffffffff810a740b
 000002fd00004e93 000000012dd6cee0 ffff880139c97cb0 0000000000000002
Call Trace:
 [<ffffffff813dbcff>] dump_stack+0x63/0x84
 [<ffffffff810a740b>] __warn+0xcb/0xf0
 [<ffffffff810a748f>] warn_slowpath_fmt+0x5f/0x80
 [<ffffffff81124b34>] ? tick_resume_oneshot+0x34/0x40
 [<ffffffff8111633e>] hrtimers_resume+0x5e/0x60
 [<ffffffff8111c8bb>] timekeeping_resume+0x17b/0x200
 [<ffffffff8151b540>] syscore_resume+0x50/0x190
 [<ffffffff810f63a7>] suspend_devices_and_enter+0x627/0x710
 [<ffffffff810f67e6>] pm_suspend+0x356/0x400
 [<ffffffff810f4fce>] state_store+0x7e/0xe0
 [<ffffffff813ddf9f>] kobj_attr_store+0xf/0x20
 [<ffffffff812ccbd7>] sysfs_kf_write+0x37/0x40
 [<ffffffff812cc19c>] kernfs_fop_write+0x11c/0x170
 [<ffffffff81248b87>] __vfs_write+0x37/0x120
 [<ffffffff81364525>] ? selinux_file_permission+0xc5/0x100
 [<ffffffff81359efd>] ? security_file_permission+0x3d/0xc0
 [<ffffffff810f2102>] ? percpu_down_read+0x12/0x50
 [<ffffffff81249492>] vfs_write+0xa2/0x190
 [<ffffffff8124a8f5>] SyS_write+0x55/0xc0
 [<ffffffff817dd3f2>] entry_SYSCALL_64_fastpath+0x1a/0xa4

Comment 1 Alex Tucker 2016-07-21 07:22:32 UTC
Created attachment 1182336 [details]
File: dmesg

Comment 2 Alex Tucker 2016-09-09 09:09:10 UTC
This appears to be fixed as of kernel-core-4.7.2-201.fc24.

The bug was still present in kernel-core-4.6.7-300.fc24.

Comment 3 Alex Tucker 2016-11-09 15:43:11 UTC
Description of problem:
Resume from suspend.

Version-Release number of selected component:
kernel-core-4.8.6-201.fc24

Additional info:
reporter:       libreport-2.7.2
cmdline:        BOOT_IMAGE=/vmlinuz-4.8.6-201.fc24.x86_64 root=UUID=2a72f648-e793-4bdd-b1be-38cb2cde61de ro zswap.enabled=1 quiet rhgb LANG=en_GB.UTF-8
kernel:         4.8.6-201.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 17439 at kernel/time/hrtimer.c:761 hrtimers_resume+0x5e/0x60
hrtimers_resume() called with IRQs enabled!
Modules linked in: mmc_block nls_utf8 loop isofs uas usb_storage ccm btusb btrtl btbcm btintel bluetooth ftdi_sio xt_nat veth xfs rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache fuse xt_CHECKSUM tun ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_addrtype br_netfilter ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter xt_conntrack ip_set nfnetlink ebtable_broute bridge ebtable_nat ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_raw ip6table_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security iptable_raw iptable_mangle ebtable_filter ebtables ip6table_filter ip6_tables uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev media snd_hda_codec_hdmi arc4 intel_powerclamp coretemp vfat kvm_intel
 fat iwldvm kvm iTCO_wdt mac80211 ppdev iTCO_vendor_support dell_rbtn dell_laptop dell_wmi sparse_keymap irqbypass intel_cstate intel_uncore snd_hda_codec_idt snd_hda_codec_generic dell_smbios dcdbas iwlwifi snd_hda_intel dell_smm_hwmon snd_hda_codec cfg80211 snd_hda_core snd_hwdep snd_seq snd_seq_device i7core_edac snd_pcm joydev i2c_i801 edac_core i2c_smbus snd_timer snd rfkill lpc_ich soundcore shpchp parport_pc acpi_als parport kfifo_buf acpi_cpufreq industrialio tpm_tis tpm_tis_core dell_smo8800 tpm nfsd auth_rpcgss nfs_acl lockd binfmt_misc grace sunrpc dm_crypt dm_thin_pool dm_persistent_data libcrc32c dm_bio_prison 8021q garp stp llc mrp nouveau mxm_wmi i2c_algo_bit drm_kms_helper ttm crc32c_intel drm sdhci_pci serio_raw sdhci e1000e firewire_ohci mmc_core firewire_core yenta_socket
 ptp crc_itu_t pps_core wmi fjes video
CPU: 0 PID: 17439 Comm: systemd-sleep Not tainted 4.8.6-201.fc24.x86_64 #1
Hardware name: Dell Inc. Precision M4500/0RRH3K, BIOS A11 05/09/2012
 0000000000000286 000000000e5016c7 ffff9fa49eafbbd0 ffffffff8d3e5ebd
 ffff9fa49eafbc20 0000000000000000 ffff9fa49eafbc10 ffffffff8d0a0e8b
 000002f900004e93 000000012b36c097 ffff9fa49eafbca8 0000000000000002
Call Trace:
 [<ffffffff8d3e5ebd>] dump_stack+0x63/0x86
 [<ffffffff8d0a0e8b>] __warn+0xcb/0xf0
 [<ffffffff8d0a0f0f>] warn_slowpath_fmt+0x5f/0x80
 [<ffffffff8d120c84>] ? tick_resume_oneshot+0x34/0x40
 [<ffffffff8d11241e>] hrtimers_resume+0x5e/0x60
 [<ffffffff8d118aab>] timekeeping_resume+0x17b/0x200
 [<ffffffff8d52ebf0>] syscore_resume+0x50/0x180
 [<ffffffff8d0f111a>] suspend_devices_and_enter+0x62a/0x6d0
 [<ffffffff8d0f14e5>] pm_suspend+0x325/0x390
 [<ffffffff8d0efcee>] state_store+0x7e/0xe0
 [<ffffffff8d3e814f>] kobj_attr_store+0xf/0x20
 [<ffffffff8d2d6077>] sysfs_kf_write+0x37/0x40
 [<ffffffff8d2d55ac>] kernfs_fop_write+0x12c/0x1c0
 [<ffffffff8d2500d7>] __vfs_write+0x37/0x160
 [<ffffffff8d36df37>] ? selinux_file_permission+0xd7/0x110
 [<ffffffff8d363a3d>] ? security_file_permission+0x3d/0xc0
 [<ffffffff8d0ecdc2>] ? percpu_down_read+0x12/0x50
 [<ffffffff8d250a15>] vfs_write+0xb5/0x1a0
 [<ffffffff8d251e65>] SyS_write+0x55/0xc0
 [<ffffffff8d802572>] entry_SYSCALL_64_fastpath+0x1a/0xa4


Note You need to log in before you can comment on or make changes to this bug.